package irrigation;

import javax.swing.JCheckBox;

import device.StoreFailureException;
import static irrigation.ScenarioHelper.getValves;
import static org.junit.Assert.*;

/**
 * Tests extension 2b and 2a of the third use case.
 */
public class UseCaseThreeExtension2a2bTest extends UseCaseThreeExtension2aTest {

	JCheckBox s2;
	
	@Override
	public void stepOne() {
		
		// Suddenly, the second zone's sensor fails.
		for (JCheckBox cb: checkboxes)
			if (cb.getText().equals("S2"))
				s2 = cb;
		
		s2.doClick();
		
		super.stepOne();
	}

	@Override
	public void stepThree() {
		s2.doClick();
		super.stepThree();
	}

	@Override
	public void testStepTwo() {
		super.testStepTwo();
		

		try {
			assertEquals("false", store.getData("S2.isWorking", "true"));
		} catch (StoreFailureException e1) {
			fail();
		}
		//assertTrue(failedDevices.contains("S2"));
		
	}
	
	
	@Override
	public void stepFive() {
		
		// quit the failure screen
		buttons[7].doClick();
		// ... select valve "V05", ...
		for (int i = 0; i < 3; i++)
			buttons[3].doClick();
		
		super.stepFive();
	}

}
