package irrigation;

import org.junit.Before;
import org.junit.Test;

/**
 * Parent class for tests of the second use case.
 */
public abstract class UseCaseTwoTest extends UseCaseTest {

	@Override
	@Before
	public void init() throws IllegalArgumentException, SecurityException,
			IllegalAccessException, NoSuchFieldException, InterruptedException {
		super.init();
		executeUseCase();
	}
	
	public void executeUseCase() {
		prepareUseCase();
		stepOne();
	}

	protected abstract void prepareUseCase();

	protected abstract void stepOne();

	@Test
	public abstract void testStepOne();

	@Test
	public abstract void testStepTwo();

	@Test
	public abstract void testStepThree();

}
