package irrigation;

import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.fail;
import simulation.SimTime;
import device.StoreFailureException;

/**
 * Tests the basic flow of AquaLush's second use case by manipulating
 * the water allocation.
 */
public class UseCaseTwoTestBasicFlowWaterAllocation extends UseCaseTwoTest {

	@Override
	protected void stepOne() {
		// 1. Operator sets the irrigation time, water allocation, or critical
		// moisture levels.

		// Open "Set up Automatic Irrigation", ...
		buttons[4].doClick();
		// ... select "Set Water Allocation" ...
		buttons[1].doClick();
		//
		// ... and change the allocation to 5000.
		for (int i = 0; i < 5; i++)
			keys[9].doClick();

		keys[4].doClick();
		keys[10].doClick();
		keys[10].doClick();
		keys[10].doClick();

		// Accept the settings
		buttons[7].doClick();
	}

	@Override
	public void testStepOne() {
		// 3. AquaLush records and confirms the new setting(s).

		assertEquals(5000, irrigator.getAllocation());

		try {
			assertEquals("5000", store.getData("allocation", "10000"));
		} catch (StoreFailureException e) {
			fail();
		}

	}

	@Override
	public void testStepTwo() {
	}

	@Override
	public void testStepThree() {
	}

	@Override
	public void prepareUseCase() {
		SimTime time = SimTime.instance();
		time.setMinute(0);
		time.setSecond(0);
		time.setHour(10);
	}

}
