package irrigation;

import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.fail;
import device.StoreFailureException;

public class UseCaseTwoTestExtension2aCriticalLevel extends
		UseCaseTwoTestBasicFlowCriticalLevel {

	@Override
	protected void stepOne() {
		// 1. Operator sets the irrigation time, water allocation, or critical
		// moisture levels.

		// Open "Set up Automatic Irrigation", ...
		buttons[4].doClick();
		// ... select "Set Critical Moisture Level" ...
		buttons[5].doClick();
		//
		// ... and try to change the level to 888.
		for (int i = 0; i < 2; i++)
			keys[9].doClick();

		for (int i = 0; i < 3; i++)
			keys[7].doClick();

		// Propagate this change to all zones.
		buttons[2].doClick();

		// Accept the settings
		buttons[7].doClick();

		// Again, select "Set Critical Moisture Level" ...
		buttons[5].doClick();
		//
		// ... and try to change the level to "".
		for (int i = 0; i < 2; i++)
			keys[9].doClick();

		// Propagate this change to all zones.
		buttons[2].doClick();

		// Accept the settings
		buttons[7].doClick();
	}

	@Override
	public void testStepOne() {
	}

	@Override
	public void testStepTwo() {
		// 2a A setting is invalid:
		
		// AquaLush does not accept an invalid setting.

		for (ZoneReport r : irrigator.getZoneReports()) {
			assertEquals(88, r.criticalLevel);
			try {
				assertEquals("88",
						store.getData(r.id + ".criticalMoistureLevel", "50"));
			} catch (StoreFailureException e) {
				e.printStackTrace();
				fail();
			}
		}
	}

}
