package irrigation;

import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.assertFalse;
import static junit.framework.Assert.assertTrue;
import static junit.framework.Assert.fail;
import util.Day;
import device.StoreFailureException;

public class UseCaseTwoTestExtension2aIrrigationTime extends
		UseCaseTwoTestBasicFlowIrrigationTime {

	@Override
	protected void stepOne() {
		// 1. Operator sets the irrigation time, water allocation, or critical
		// moisture levels.

		// Open "Set up Automatic Irrigation", ...
		buttons[4].doClick();
		// ... select "Set Irrigation Time", ...
		buttons[3].doClick();
		// ... deselect all days except Friday ...
		for (int i = 2; i < 7; i++)
			buttons[i].doClick();
		// ... and try to change the irrigation time to 2530.
		for (int i = 0; i < 4; i++)
			keys[9].doClick();

		keys[1].doClick();
		keys[4].doClick();
		keys[2].doClick();
		keys[10].doClick();

		// Accept the settings
		buttons[7].doClick();

		// Again, select "Set Irrigation Time", ...
		buttons[3].doClick();
		// ... and try to change the irrigation time to "".
		for (int i = 0; i < 4; i++)
			keys[9].doClick();

		// Accept the settings
		buttons[7].doClick();
	}

	@Override
	public void testStepOne() {
		// 2a A setting is invalid:

		// AquaLush does not accept an invalid setting.

		for (int i = 0; i < 6; i++)
			if (i == 4 || i == 0)
				assertTrue(irrigator.getIrrigationDays().contains(
						Day.valueOf(i)));
			else
				assertFalse(irrigator.getIrrigationDays().contains(
						Day.valueOf(i)));

		assertEquals(200, irrigator.getIrrigationTime());

		String irrigationDays;
		try {
			irrigationDays = store.getData("irrigationDays", "SaSo");

			assertTrue(irrigationDays.equals("MF")
					|| irrigationDays.equals("FM"));
			assertEquals("200", store.getData("irrigationTime", "0200"));
		} catch (StoreFailureException e) {
			e.printStackTrace();
			fail();
		}

	}

}
