package irrigation;

import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.fail;
import device.StoreFailureException;

public class UseCaseTwoTestExtension2aWaterAllocation extends
		UseCaseTwoTestBasicFlowWaterAllocation {
	
	@Override
	protected void stepOne() {
		// 1. Operator sets the irrigation time, water allocation, or critical
		// moisture levels.

		// Open "Set up Automatic Irrigation", ...
		buttons[4].doClick();
		// ... select "Set Water Allocation" ...
		buttons[1].doClick();
		//
		// ... and change the allocation to "".
		for (int i = 0; i < 5; i++)
			keys[9].doClick();

		// Accept the settings
		buttons[7].doClick();
	}

	@Override
	public void testStepOne() {
		// 3. AquaLush records and confirms the new setting(s).

		assertEquals(10000, irrigator.getAllocation());

		try {
			assertEquals("10000", store.getData("allocation", "20000"));
		} catch (StoreFailureException e) {
			fail();
		}

	}

}
