package irrigation;

import simulation.SimTime;
import static tools.HelperFunctions.*;
import static org.junit.Assert.*;

/**
 * Tests extension 3c to the basic flow of the
 * first use case.
 */
public class UseCaseTwoTestRunningCycleWaterAllocation extends
		UseCaseTwoTestBasicFlowWaterAllocation {

	@Override
	public void testStepThree() {

		// All zones should have the same new allocation
		for (Zone z : zones)
			try {
				assertEquals((5000 - irrigator.getWaterUsed()) / 3,
						extractField(z, "allocation"));
			} catch (Exception e) {
				e.printStackTrace();
				fail();
			}

		super.testStepThree();
	}

	@Override
	public void prepareUseCase() {
		// Start an irrigation cycle.
		SimTime time = SimTime.instance();
		time.setMinute(0);
		time.setSecond(0);
		time.setHour(2);

		for (int i = 0; i < 7; i++)
			clock.tick();

		// All zones should have the same allocation.
		int allocation = 0;
		try {
			for (Zone z : zones)
				if (allocation == 0)
					allocation = extractField(z, "allocation");
				else
					assertEquals(allocation, extractField(z, "allocation"));
		} catch (Exception e) {
			e.printStackTrace();
			fail();
		}

	}

}
