package device;

import java.util.HashMap;

public class MockStorageDevice implements StorageDevice {
	
	public HashMap<String, String> getHashMap() {
		return store;
	}
	
	private HashMap<String, String> store = new HashMap<String, String>();
	private boolean isFailed = false;
	
	public void setIsFailed(boolean isFailed) {
		this.isFailed = isFailed;
	}

	@Override
	public void setData(String name, String value) throws StoreFailureException {
		if (isFailed) throw new StoreFailureException();
		store.put(name, value);
	}

	@Override
	public String getData(String name, String defaultValue)
			throws StoreFailureException {
		if (isFailed) throw new StoreFailureException();
		String result = store.get(name);
		if (result != null) 
			return result;
		setData(name, defaultValue);
		return defaultValue;
	}

	@Override
	public void removeData(String name) throws StoreFailureException {
		if (isFailed) throw new StoreFailureException();
		store.remove(name);
	}

}
