package irrigation;

import java.util.Set;

import device.DeviceFailureException;

class MockAutoCycle extends AutoCycle {

	public boolean done = false;
	public boolean superDone = false;
	
	@Override
	boolean isDone() {
		return (superDone) ? super.isDone() : done;
	}

	@Override
	void tick() throws DeviceFailureException {
		ticks++;
		if (fails){
			DeviceFailureException e = new DeviceFailureException();
			e.addDevice("MockAutoCycle");
			throw e;
		}
	}

	@Override
	void setAllocation(int theAllocation) throws DeviceFailureException {
		
		this.allocation = theAllocation;
		if (fails){
			DeviceFailureException e = new DeviceFailureException();
			e.addDevice("MockAutoCycle");
			throw e;
		}
	}

	@Override
	void end() throws DeviceFailureException {
		if (fails){
			DeviceFailureException e = new DeviceFailureException();
			e.addDevice("MockAutoCycle");
			throw e;
		}
		super.end();
	}

	MockAutoCycle(Set<Zone> theZones, int theAllocation) {
		super(theZones, theAllocation);
		// TODO Auto-generated constructor stub
	}
	
	private boolean fails = false;
	public int allocation = 0;
	public int ticks = 0;
		
	public void setFails(boolean fails) {
		this.fails = fails;
	}

}
