package irrigation;

import device.DeviceFailureException;
import device.SensorDevice;

class MockSensorDevice implements SensorDevice {

	final int numberOfFailures;
	
	public MockSensorDevice(int numberOfFailures) {
		this.numberOfFailures = numberOfFailures;
	}

	private int currentFailureNumber = 0;
	int value = 0;

	@Override
	public int read() throws DeviceFailureException {
		if (currentFailureNumber < numberOfFailures){
			currentFailureNumber++;
			throw new DeviceFailureException();
		}

		return value;
	}

}