package irrigation;

import device.DeviceFailureException;
import device.ValveDevice;

class MockValveDevice implements ValveDevice {

	boolean isOpen = false;
	boolean isFailed = false;
	boolean isFailedOnOpen = false;

	@Override
	public void open() throws DeviceFailureException {
		if (isFailed || isFailedOnOpen)
			throw new DeviceFailureException();

		isOpen = true;
	}

	@Override
	public void close() throws DeviceFailureException {
		if (isFailed)
			throw new DeviceFailureException();

		isOpen = false;
	}

}