package device;

import static org.junit.Assert.assertEquals;

import java.util.LinkedList;

import org.junit.Test;

public class KeyPressTest {

	@Test
	public void KeyPressEnum(){
		
		LinkedList<KeyPress> keys = new LinkedList<KeyPress>();
		
		keys.add(KeyPress.ZERO_KEY);
		keys.add(KeyPress.ONE_KEY);
		keys.add(KeyPress.TWO_KEY);
		keys.add(KeyPress.THREE_KEY);
		keys.add(KeyPress.FOUR_KEY);
		keys.add(KeyPress.FIVE_KEY);
		keys.add(KeyPress.SIX_KEY);
		keys.add(KeyPress.SEVEN_KEY);
		keys.add(KeyPress.EIGHT_KEY);
		keys.add(KeyPress.NINE_KEY);
		
		// Tests the conversion between the different representations
		// of a keyPress.
		for(int i=0; i<10; i++){
			KeyPress current = keys.get(i);
			assertEquals(current.toInt(), i);
			assertEquals(current.toString(), new Integer(i).toString());
			assertEquals(current.toChar(), '0' + i);
			assertEquals(KeyPress.valueOf(i), current);
		}
		
		assertEquals(KeyPress.valueOf(101), KeyPress.DEL_KEY);
		KeyPress current = KeyPress.DEL_KEY;
		assertEquals(current.toInt(), 101);
		assertEquals(current.toString(), "DEL");
		assertEquals(current.toChar(), 'D');
		
		assertEquals(KeyPress.valueOf(102), KeyPress.ESC_KEY);
		current = KeyPress.ESC_KEY;
		assertEquals(current.toInt(), 102);
		assertEquals(current.toString(), "ESC");
		assertEquals(current.toChar(), 'E');
		
	}

}
