package device;

import static org.junit.Assert.*;

import org.junit.Test;

public abstract class KeypadDeviceTest {

	protected abstract KeypadDevice getOut();

	protected abstract boolean keypadListenerIsSet(KeypadListener l,
			KeypadDevice k) throws IllegalArgumentException, SecurityException,
			IllegalAccessException, NoSuchFieldException;

	@Test
	public void testSetListener() throws IllegalArgumentException,
			SecurityException, IllegalAccessException, NoSuchFieldException {
		// Tests setListener().
		KeypadDevice keypad = getOut();

		// Create two different listeners.
		KeypadListener l = new KeypadListener() {

			@Override
			public void keyPress(KeyPress key) {
			}
		};

		KeypadListener l2 = new KeypadListener() {

			@Override
			public void keyPress(KeyPress key) {
			}
		};

		keypad.setListener(l);

		assertTrue(keypadListenerIsSet(l, keypad));

		keypad.setListener(l2);

		assertTrue(keypadListenerIsSet(l2, keypad));

		keypad.setListener(null);

		assertTrue(keypadListenerIsSet(null, keypad));

	}

}
