package device;

import static org.junit.Assert.*;

import org.junit.Test;

public abstract class ScreenButtonListenerTest {

	protected abstract ScreenButtonListener getOut();
	
	@Test
	public void testScreenButtonPress() {
		// Tests screenButtonPress().
		ScreenButtonListener l = getOut();
		
		l.screenButtonPress(0);
		
		l.screenButtonPress(ScreenButtonDevice.NUM_SCREEN_BUTTONS-1);
	}
		
	@Test
	public void testScreenButtonPressInvalidCases() {
		// Tests how screenButtonPress() handles invalid arguments.
		ScreenButtonListener l = getOut();
		
		try {
			l.screenButtonPress(-1);
			fail();
		} catch (Exception e){
			
		}
		
		try {
			l.screenButtonPress(Integer.MIN_VALUE);
			fail();
		} catch (Exception e){
			
		}
		
		try {
			l.screenButtonPress(Integer.MAX_VALUE);
			fail();
		} catch (Exception e){
			
		}
		
		try {
			l.screenButtonPress(ScreenButtonDevice.NUM_SCREEN_BUTTONS);
			fail();
		} catch (Exception e) {
			
		}
		
	}

}
