package device;

import static org.junit.Assert.*;

import org.junit.Test;

public abstract class SensorDeviceTest {
	
	protected abstract SensorDevice getOut(boolean isFailed);

	@Test
	public void testRead() throws DeviceFailureException {
		// Tests read().
		SensorDevice sensor = getOut(false);
		int result = sensor.read();
		assertTrue(0 <= result && result <= 100) ;
	}
	
	@Test
	public void testFailedSensor() {
		// Tests read() when there is a failing underlying
		// SensorDevice.
		SensorDevice sensor = getOut(true);
		try {
			sensor.read();
			fail();
		} catch (DeviceFailureException e){};
	}

}
