package device.sim;

import static org.junit.Assert.assertEquals;

import java.awt.event.ActionEvent;

import org.junit.Test;

import device.ScreenButtonDevice;
import device.ScreenButtonDeviceTest;
import device.ScreenButtonListener;

public class SimScreenButtonDeviceTest extends ScreenButtonDeviceTest {

	private static int lastButton = -1;
	
	@Test
	public void testActionPerformed() {
		// Tests actionPerformed().
		SimScreenButtonDevice d = (SimScreenButtonDevice) getOut();
		
		ScreenButtonListener l = new ScreenButtonListener() {
			
			@Override
			public void screenButtonPress(int whichButton) {
				lastButton = whichButton;
			}
		};
		
		d.setListener(l);
		
		// Press all the screenButtons and see whether
		// these clicks are forwarded to the listener.
		for (int i=0; i<ScreenButtonDevice.NUM_SCREEN_BUTTONS; i++){
			d.actionPerformed(new ActionEvent(this, 0, "ScrnBtn" + i));
			assertEquals(i, lastButton);
		}
		
	}

	@Override
	protected ScreenButtonDevice getOut() {
		return new SimScreenButtonDevice();
	}

	@Override
	protected void notifyListener(ScreenButtonDevice dev) {
		// Notify the listener of a ScreenButtonDevice.
		SimScreenButtonDevice d = (SimScreenButtonDevice) dev;
		
		d.actionPerformed(new ActionEvent(this, 0, "ScrnBtn5"));
	}

}
