package device.sim;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import simulation.SimSensor;
import device.DeviceFailureException;
import device.SensorDevice;
import device.SensorDeviceTest;

public class SimSensorDeviceTest extends SensorDeviceTest {
	
	protected SimSensorDevice getConcreteOut(Object[] args){
		return new SimSensorDevice((SimSensor) args[0]);
	}
	
	@Test
	public void testReadFromCurrentSimSensor() throws DeviceFailureException{
		// Tests read().
		SimSensor s = new SimSensor("S1");
		s.setLevel(44);
		SimSensorDevice device = getConcreteOut(new Object[] {s});
		
		assertEquals(44, device.read());
	}

	@Test
	public void testConstructorWithNull() throws DeviceFailureException {
		// Create a new SimSensorDevice. The argument is null.
		SimSensorDevice device = getConcreteOut(new Object[] {null});
		// Should work since no preconditions for
		// the constructor are declared.
		device.read();
	}

	@Override
	protected final SensorDevice getOut(boolean isFailed) {
		SimSensor simSensor = new SimSensor("S1");
		if (isFailed)
			simSensor.setIsFailed();
		return getConcreteOut(new Object[] {simSensor});
	}

}
