package irrigation;

import static org.junit.Assert.*;

import org.junit.Test;

public class FailedDeviceReportTest {

	// These two tests test whether a FailedDeviceReport is
	// properly generated based on the arguments supplied
	// to its constructor.
	
	@Test
	public void testFailedDeviceReportConstructor() {
		FailedDeviceReport report = new FailedDeviceReport("id", "zone", "location", true);
		
		assertEquals("id", report.deviceID);
		assertEquals("zone", report.zoneID);
		assertEquals("location", report.location);
		assertTrue(report.isRecorded);
	}
	
	@Test
	public void testFailedDeviceReportConstructorDifferentArguments() {
		FailedDeviceReport report = new FailedDeviceReport(null, null, null, false);
		
		assertNull(report.deviceID);
		assertNull(report.zoneID);
		assertNull(report.location);
		assertFalse(report.isRecorded);
	}

}
