package irrigation;

import static org.junit.Assert.*;

import org.junit.Test;

public class ModeTest {

	@Test
	public void testToInt() {
		assertEquals(0, Mode.AUTOMATIC.toInt());
		assertEquals(1, Mode.MANUAL.toInt());
	}

	@Test
	public void testToString() {
		assertEquals("Automatic", Mode.AUTOMATIC.toString());
		assertEquals("Manual", Mode.MANUAL.toString());
	}

	@Test
	public void testValueOfInt() {
		assertEquals(Mode.AUTOMATIC, Mode.valueOf(0));
		assertEquals(Mode.MANUAL, Mode.valueOf(1));
	}
	
	@Test
	public void testValueOfIntIllegalArguments() {
		// Tests how valueOf behaves in case of
		// an illegal argument.
		
		try {
			Mode.valueOf(-1);
			fail();
		} catch (IllegalArgumentException e) {}
		
		try {
			Mode.valueOf(Integer.MIN_VALUE);
			fail();
		} catch (IllegalArgumentException e) {}
		
		try {
			Mode.valueOf(Integer.MAX_VALUE);
			fail();
		} catch (IllegalArgumentException e) {}
		
		try {
			Mode.valueOf(2);
			fail();
		} catch (IllegalArgumentException e) {}
	}

	@Test
	public void testValueOfString() {
		assertEquals(Mode.AUTOMATIC, Mode.valueOf("Automatic"));
		assertEquals(Mode.MANUAL, Mode.valueOf("Manual"));
	}
	
	@Test
	public void testValueOfStringIllegalArguments() {
		// Tests how valueOf behaves if an illegal
		// String is supplied
		
		try {
			Mode.valueOf("Automati");
			fail();
		} catch (IllegalArgumentException e){
			
		}
		
		try {
			Mode.valueOf("Manua");
			fail();
		} catch (IllegalArgumentException e){
			
		}
		
		try {
			Mode.valueOf(null);
			fail();
		} catch (IllegalArgumentException e){
			
		}
	}

}
