package irrigation;

import static org.junit.Assert.*;

import org.junit.Test;

public class SensorReportTest {

	@Test
	public void testSensorReport() {
		// Tests whether a sensor report is initialized
		// properly.
		SensorReport report = new SensorReport("id", "location", "zone", false, true, 1);
		
		assertEquals("id", report.id);
		assertEquals("location", report.location);
		assertEquals("zone", report.zoneID);
		assertFalse(report.isFailed);
		assertTrue(report.isRecorded);
		assertEquals(1, report.level);
	}
	
	@Test
	public void testSensorReportNullArguments() {
		// Tests SensorReport's construction by using different
		// arguments.
		SensorReport report = new SensorReport(null, null, null, true, false, 2);
		
		assertEquals(null, report.id);
		assertEquals(null, report.location);
		assertEquals(null, report.zoneID);
		assertTrue(report.isFailed);
		assertFalse(report.isRecorded);
		assertEquals(2, report.level);
	}

}
