package irrigation;

import static org.junit.Assert.*;

import org.junit.Test;

public class ValveReportTest {

	@Test
	public void testValveReportOpenRecordedValve() {
		ValveReport report = new ValveReport("id", "location", "zone", true, false, true, 3, 2);
		
		// Tests the valve report of an open, working valve
		
		assertEquals("id", report.id);
		assertEquals("location", report.location);
		assertEquals("zone", report.zoneID);
		assertTrue(report.isOpen);
		assertTrue(report.isRecorded);
		assertFalse(report.isFailed);
		assertEquals(3, report.flowRate);
		assertEquals(2, report.minutesOpen);
	}
	
	@Test
	public void testValveReportClosedFailedValve() {
		ValveReport report = new ValveReport("id2", "location2", "zone2", false, true, false, 4, 1);
		
		// Tests the valve report of a closed, failed valve
		
		assertEquals("id2", report.id);
		assertEquals("location2", report.location);
		assertEquals("zone2", report.zoneID);
		assertFalse(report.isOpen);
		assertFalse(report.isRecorded);
		assertTrue(report.isFailed);
		assertEquals(4, report.flowRate);
		assertEquals(1, report.minutesOpen);
		
	}

}
