package irrigation;

import static org.junit.Assert.*;

import org.junit.Test;

public class ZoneReportTest {

	@Test
	public void testZoneReport() {
		// Tests the creation of a ZoneReport
		Zone zone = new Zone("id", "location");
		zone.setCriticalMoistureLevel(10);
		
		ZoneReport report = zone.getZoneReport();
		
		assertEquals(zone.getID(), report.id);
		assertEquals(zone.getLocation(), report.location);
		assertEquals(zone.getCriticalMoistureLevel(), report.criticalLevel);
	}
	
	@Test
	public void testZoneReportNull() {
		// Tests the creation of a ZoneReport by using
		// different arguments.
		Zone zone = new Zone(null, null);
		zone.setCriticalMoistureLevel(10);
		
		ZoneReport report = zone.getZoneReport();
		
		assertEquals(zone.getID(), report.id);
		assertEquals(zone.getLocation(), report.location);
		assertEquals(zone.getCriticalMoistureLevel(), report.criticalLevel);
	}

}
