package simulation;

import static org.junit.Assert.*;

import javax.swing.JFrame;

import org.junit.Test;

import tools.HelperFunctions;

public class SimSiteViewTest {

	@Test
	public void testSimSiteView() throws IllegalArgumentException,
			SecurityException, IllegalAccessException, NoSuchFieldException {
		// Tests SimSiteView's constructor.

		SimSite site = new SimSite();
		SimSiteView view = new SimSiteView(site);

		assertEquals(site, HelperFunctions.extractField(view, "site"));
		// The site should be observed by the SimSiteView.
		HelperFunctions.assertObserved(site, view);
	}

	@Test
	public void testSimSiteViewIllegalArguments()
			throws IllegalArgumentException, SecurityException,
			IllegalAccessException, NoSuchFieldException {
		// Tests SimSiteView's constructor. Some arguments are not valid.
		try {
			new SimSiteView(null);
			fail();
		} catch (NullPointerException e) {
		}
	}

	@Test
	public void testUpdateObservableObject() {
		// Tests update(). No exceptions should be thrown
		// depending on the arguments.
		
		SimSiteView view = new SimSiteView(new SimSite());

		JFrame frame = new JFrame();
		frame.add(view);
		frame.setVisible(true);

		view.update(null, null);
		view.update(new SimSite(), "AAA");

	}

}
